Show / Hide Table of Contents

# Class AutoTranslatePayload

An SeString Payload containing an auto-translation/completion chat message.

##### Inheritance

System.Object
Payload
AutoTranslatePayload

##### Implements

ITextProvider

##### Inherited Members

Payload.Dirty
Payload.DataResolver
Payload.Encode(Boolean)
Payload.Decode(BinaryReader, DataManager)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32)
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Text.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class AutoTranslatePayload : Payload, ITextProvider

### Constructors

| Improve this Doc View Source

#### AutoTranslatePayload(DataManager, UInt32, UInt32)

Creates a new auto-translate payload.

##### Declaration

    public AutoTranslatePayload(DataManager data, uint group, uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
DataManager | data | DataManager instance needed to resolve game data.
System.UInt32 | group | The group id for this message.
System.UInt32 | key | The key/row id for this message. Which table this is in depends on the group id and details the Completion table.

##### Remarks

This table is somewhat complicated in structure, and so using this constructor may not be very nice. There is probably little use to create one of these, however.

### Properties

| Improve this Doc View Source

#### Text

The actual text displayed in-game for this payload.

##### Declaration

    public string Text { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Remarks

Value is evaluated lazily and cached.

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

ITextProvider